View Issue Details

IDProjectCategoryView StatusLast Update
14978Bug reports[All Projects] Otherpublic2019-06-21 11:21
Reporterf_funkeAssigned Todominikvitt 
PrioritynoneSeveritymajor 
Status resolvedResolutionfixed 
Product Version4.0.0-beta 
Target VersionFixed in Version4.0.0-beta 
Summary14978: some global survey settings not inherited correctly to new survey
Description

There are two issues with the inhertiance of global survey setting when creating a new survey. Mainly switches (checkboxes) are affected (see #1). However, when new survey if created, most the global survey settings are applied correctly and fewer are wrong (see #2).

#1: When creating a new survey the inherted global survey settings are not show correctly on
http://127.0.0.1/LimeSurvey_develop/index.php/admin/survey/sa/newsurvey
The following inherited values are show incorrectly:

A) General settings:

  • administrator
  • administrator email address
  • format
    The inherited values for bounce email address and template are shown correctly.

B) Presentation & navigation settings:

  • Show group name and/or group description
  • Show question number and/or code
  • and all switches (checkboxes) from "show 'No answer' to "automatically load end URL when survey complete"

C) Publication & access control

  • all switches show the wrong inherited value

D) Notifcation & datamanagement

  • all switches show the wrong inherited value

E) Participant settings:

  • inhertied token length is incorrect
  • all switches show the wrong inherited value

#2: Problem #1 only seems to affect the display of inherited values. When creating a new survey most global survey settings are applied correctly. However, some global survey settings are really not inherted correctly:

A) General settings

  • everything is inherited correctly

B) Presentation & navigation

  • Show group name and/or group description: name and description are mixed up (others work correctly)

C) Notification and data management settings

  • email addresses are inherited correctly
  • all switches show the wrong inherited value (always "off")

D) Publication & access

  • all switches show the wrong inherited value (always "off")

E) Participant settings

  • all settings are inherited correctly
Steps To Reproduce

Create a new survey and compare general survey settings to inherted values.

TagsNo tags attached.
Complete LimeSurvey version number (& build)4.0.0-beta github 190614
I will donate to the project if issue is resolvedNo
BrowserFirefox 67.0.2
Database & DB-VersionmySQL LimeSurvey DB 416
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.7

Issue History

Date Modified Username Field Change
2019-06-16 15:19 f_funke New Issue
2019-06-16 15:21 f_funke Description Updated View Revisions
2019-06-19 13:09 dominikvitt Assigned To => dominikvitt
2019-06-19 13:09 dominikvitt Status new => assigned
2019-06-21 11:21 dominikvitt Status assigned => resolved
2019-06-21 11:21 dominikvitt Resolution open => fixed
2019-06-21 11:21 dominikvitt Fixed in Version => 4.0.0-beta
2019-06-21 11:21 dominikvitt Note Added: 52486